Mobile Banking: System Requirements

The Mobile Banking App is available for:

APPLE

  • iPhone® (iPhone® 5s and higher, IOS 11.0 and higher)
  • iPad® (iPad® 5th generation – 2017 and higher, IOS 11.0 and higher)

GOOGLE

  • Android™ Phone (Android™ 5.0 and higher)
  • Android™ Tablet (Android™  5.0 and higher)